Search.setIndex({"docnames": ["index", "intro", "ref_geom", "ref_index", "ref_io", "ref_osm", "ref_osmium", "ref_replication", "reference", "tools", "tools_get_changes", "tools_uptodate", "troubleshooting", "updating_osm_data"], "filenames": ["index.rst", "intro.rst", "ref_geom.rst", "ref_index.rst", "ref_io.rst", "ref_osm.rst", "ref_osmium.rst", "ref_replication.rst", "reference.rst", "tools.rst", "tools_get_changes.rst", "tools_uptodate.rst", "troubleshooting.rst", "updating_osm_data.rst"], "titles": ["Welcome to Pyosmium\u2019s documentation!", "Basic Usage", "<code class=\"docutils literal notranslate\"><span class=\"pre\">geom</span></code> - Geometry Helper Functions", "<code class=\"docutils literal notranslate\"><span class=\"pre\">index</span></code> - Data Stores", "<code class=\"docutils literal notranslate\"><span class=\"pre\">io</span></code> - Data In- and Output", "<code class=\"docutils literal notranslate\"><span class=\"pre\">osm</span></code> - Basic Datatypes", "<code class=\"docutils literal notranslate\"><span class=\"pre\">osmium</span></code> - Processing OSM files", "<code class=\"docutils literal notranslate\"><span class=\"pre\">replication</span></code> - Handling Updates of OSM Data", "Pyosmium Reference", "Pyosmium Tools", "pyosmium-get-changes - Downloading OSM change files", "pyosmium-up-to-date - Bringing OSM files up-to-date", "Troubleshooting", "Updating OpenStreetMap data from change files"], "terms": {"i": [0, 1, 2, 4, 5, 6, 7, 8, 10, 11, 12, 13], "librari": [0, 1, 5, 7, 8], "process": [0, 1, 5, 8, 10, 11, 13], "osm": [0, 2, 3, 4, 8, 9, 13], "file": [0, 3, 4, 5, 7, 8, 9, 12], "differ": [0, 1, 3, 5], "format": [0, 1, 6, 7, 10, 11, 13], "It": [0, 1, 5, 6, 11, 13], "wrapper": [0, 1, 5, 6, 8], "c": 0, "osmium": [0, 1, 2, 3, 4, 5, 7, 8, 12], "allow": [0, 1, 6, 7, 12], "fast": 0, "effic": 0, "sequenti": 0, "openstreetmap": [0, 9], "data": [0, 5, 6, 8, 9, 10, 11, 12], "basic": [0, 6, 8, 13], "usag": 0, "read": [0, 2, 4, 5, 6, 10, 11, 13], "write": [0, 6, 7, 10, 11], "refer": [0, 1], "datatyp": [0, 1, 8], "io": [0, 6, 8], "In": [0, 1, 6, 7, 8], "output": [0, 2, 6, 7, 8, 10, 11, 13], "index": [0, 1, 6, 8], "store": [0, 1, 8, 12, 13], "geom": [0, 1, 8], "geometri": [0, 5, 7, 8], "helper": [0, 7, 8], "function": [0, 1, 3, 5, 7, 8, 12], "replic": [0, 8, 10, 11], "handl": [0, 2, 4, 6, 8, 9], "updat": [0, 8, 9, 10, 11], "tool": [0, 13], "from": [0, 2, 3, 4, 5, 6, 7, 9, 10, 11, 12], "chang": [0, 1, 5, 6, 7, 9, 11], "get": [0, 1, 3, 4, 5, 7, 9], "download": [0, 7, 9, 11, 13], "up": [0, 7, 9, 13], "date": [0, 5, 7, 9, 10], "bring": [0, 9], "troubleshoot": 0, "runtimeerror": [0, 1], "callback": [0, 1, 6], "keep": [0, 1, 7, 13], "object": [0, 3, 4, 6, 7, 8, 10, 11, 13], "segfault": 0, "when": [0, 1, 5, 6, 7, 10, 11, 13], "import": [0, 1, 7], "anoth": 0, "search": [0, 7, 10, 11], "page": [0, 13], "The": [1, 3, 4, 5, 6, 7, 10, 11, 13], "follow": [1, 5, 6, 8, 13], "chapter": 1, "give": [1, 12], "practic": 1, "introduct": 1, "how": [1, 13], "pyosmium": [1, 6, 7, 12, 13], "assum": 1, "you": [1, 5, 6, 7, 10, 11, 12, 13], "alreadi": 1, "have": [1, 5, 11, 12, 13], "knowledg": 1, "about": [1, 4, 11], "model": 1, "For": [1, 3, 5, 6, 7, 11, 13], "more": [1, 4, 5, 6, 8, 11, 13], "detail": [1, 3, 6, 8], "design": 1, "reader": [1, 4, 6, 7, 8], "document": [1, 7], "pars": 1, "built": 1, "around": [1, 5], "concept": 1, "A": [1, 3, 4, 5, 6, 13], "set": [1, 3, 4, 5, 6, 7, 10, 11, 13], "each": [1, 5, 6], "exactli": [1, 5, 6, 11], "one": [1, 4, 5, 6], "type": [1, 3, 5, 6, 11], "let": 1, "": [1, 10, 11, 13], "start": [1, 5, 7, 10, 11], "veri": 1, "simpl": [1, 5, 13], "count": 1, "node": [1, 2, 6, 7, 8, 13], "input": [1, 5, 8, 11], "counterhandl": 1, "simplehandl": [1, 5, 6], "def": 1, "__init__": 1, "self": [1, 2, 3, 4, 5, 6], "num_nod": 1, "0": [1, 2, 11, 13], "n": [1, 5], "1": [1, 2, 5, 11], "first": [1, 5, 11, 12, 13], "all": [1, 3, 5, 6, 7, 12, 13], "need": [1, 7, 12, 13], "inherit": [1, 5], "At": [1, 10], "moment": 1, "thi": [1, 2, 3, 4, 5, 6, 7, 8, 10, 11, 12, 13], "alwai": [1, 5, 13], "Then": [1, 10, 13], "implement": [1, 3, 5, 6], "want": [1, 12, 13], "our": 1, "case": [1, 5, 6, 7, 10, 11, 12], "other": [1, 6, 7, 8, 11, 12, 13], "potenti": [1, 10, 11], "can": [1, 3, 5, 6, 7, 8, 10, 11, 12, 13], "safe": 1, "ignor": [1, 10, 11, 13], "now": [1, 13], "appli": [1, 2, 6, 7, 11, 13], "easiest": [1, 13], "wai": [1, 2, 5, 6, 7, 13], "accomplish": 1, "call": [1, 6, 7, 11], "apply_fil": [1, 5, 6], "conveni": [1, 6], "which": [1, 2, 3, 5, 6, 7, 11, 13], "its": [1, 5, 6, 8, 13], "simplest": 1, "form": 1, "onli": [1, 2, 3, 4, 5, 6, 7, 10, 12, 13], "requir": [1, 3, 10, 11], "name": [1, 4, 5, 6, 7, 8, 10, 11], "paramet": [1, 2, 3, 5, 6, 7, 11, 13], "main": 1, "routin": 1, "applic": 1, "therefor": [1, 6], "look": [1, 13], "like": [1, 5, 6, 13], "__name__": 1, "__main__": 1, "h": [1, 10, 11], "test": 1, "pbf": [1, 7, 11, 13], "print": [1, 10, 13], "number": [1, 2, 5, 7, 10, 11, 13], "d": [1, 10, 13], "That": [1, 7, 11, 13], "finish": 1, "program": [1, 10, 11], "actual": 1, "bore": 1, "becaus": [1, 5, 11, 12, 13], "complet": [1, 7, 13], "content": [1, 7], "so": [1, 5, 6, 7, 13], "hotel": 1, "normal": [1, 4, 5, 6, 11], "tag": [1, 5, 6], "tourism": 1, "thei": [1, 5, 6, 11, 13], "mai": [1, 4, 5, 6, 7, 10], "relat": [1, 5, 6], "three": [1, 7], "hotelcounterhandl": 1, "super": 1, "count_hotel": 1, "w": [1, 5], "r": [1, 5], "given": [1, 2, 3, 4, 5, 6, 7, 10, 13], "some": [1, 5, 7, 10, 11, 13], "common": [1, 5], "method": 1, "attribut": [1, 6, 8], "list": [1, 2, 3, 4, 6, 8, 12, 13], "osmobject": [1, 5], "ar": [1, 3, 5, 6, 7, 10, 11, 12, 13], "specif": 1, "As": 1, "possibl": [1, 6, 7, 8, 11], "reus": [1, 7], "same": [1, 4, 5, 6, 7, 11, 13], "remain": [1, 5, 6], "sai": 1, "we": [1, 13], "do": [1, 7, 10, 13], "alphabet": 1, "order": [1, 2, 5], "simplic": 1, "restrict": [1, 7], "outself": 1, "naiv": 1, "might": [1, 5], "simpli": [1, 5], "hotelhandl": 1, "o": [1, 10, 11, 13], "append": 1, "wrong": 1, "some_fil": 1, "hotel_nam": 1, "sort": 1, "If": [1, 2, 5, 6, 7, 10, 11, 12, 13], "try": [1, 12], "execut": [1, 6], "python": [1, 5, 6, 12], "immedi": 1, "return": [1, 3, 4, 5, 7, 11, 13], "runtim": 1, "error": [1, 7, 11, 13], "hand": [1, 6, 7], "temporari": [1, 11, 12], "them": [1, 6, 7, 13], "discard": 1, "free": [1, 5], "memori": [1, 6, 7, 10, 11], "after": [1, 5, 10, 11, 13], "point": [1, 2, 5, 10, 13], "invalid": [1, 4, 5], "doe": [1, 5, 10, 11, 12, 13], "throw": [1, 7], "abov": 1, "later": [1, 10, 12], "must": [1, 6, 7, 10, 12], "copi": [1, 5, 6, 12, 13], "out": [1, 11, 13], "exampl": [1, 3, 13], "correct": 1, "Not": 1, "itself": [1, 5], "also": [1, 5, 6, 10, 11, 12, 13], "member": [1, 5, 6], "gener": [1, 4, 5, 6, 7], "rule": 1, "good": [1, 7, 13], "practis": 1, "littl": 1, "inform": [1, 4, 7, 8, 10, 11, 13], "could": [1, 11], "done": [1, 12, 13], "filter": 1, "would": [1, 10, 13], "much": 1, "structur": [1, 6, 8], "intern": [1, 6, 7], "cach": [1, 3, 5, 6, 7], "area": [1, 2, 5, 6], "cannot": [1, 4, 7], "deduc": 1, "locat": [1, 2, 5, 6, 7, 8], "explicitli": [1, 6], "enabl": [1, 7], "true": [1, 4, 5, 6, 7, 13], "idx": [1, 6, 7], "flex_mem": [1, 6], "third": 1, "option": [1, 4, 5, 6, 7, 10, 11], "state": [1, 7], "what": [1, 11], "kind": [1, 5, 13], "suppos": 1, "default": [1, 4, 5, 6, 7, 10, 11], "choic": 1, "most": [1, 6, 7], "plan": 1, "larg": 1, "amount": 1, "e": [1, 5, 7], "g": 1, "europ": 1, "planet": [1, 10, 11], "tight": 1, "ram": 1, "dense_mmap_arrai": 1, "better": [1, 6], "suit": 1, "abl": [1, 6, 13], "temporarili": 1, "disk": [1, 6], "howev": [1, 10, 11], "work": [1, 3, 7], "maco": 1, "window": 1, "persist": [1, 7], "across": 1, "invoc": 1, "dense_file_arrai": [1, 3], "addit": [1, 3, 5, 7, 11, 13], "nodecach": 1, "where": [1, 3, 5, 8, 10, 11, 12, 13], "see": [1, 3, 4, 5, 6, 7, 12, 13], "section": [1, 13], "manual": [1, 3, 8, 13], "offer": [1, 6, 13], "almost": 1, "further": [1, 6], "There": [1, 3, 5, 12, 13], "purpos": 1, "To": [1, 5, 11, 13], "convert": [1, 6], "wkb": [1, 2], "wkt": [1, 2], "result": [1, 7, 11, 13], "libgeo": 1, "comput": [1, 2, 5, 10], "total": [1, 2, 5], "length": [1, 2], "wkblib": 1, "global": [1, 4], "factori": [1, 8], "creat": [1, 2, 3, 5, 6, 7], "wkbfab": 1, "wkbfactori": [1, 2], "waylenhandl": 1, "create_linestr": [1, 2], "line": [1, 5], "load": [1, 5, 10, 13], "hex": 1, "wgs84": [1, 5], "project": [1, 2, 5], "meaningless": 1, "pretend": 1, "didn": 1, "t": [1, 5], "notic": 1, "f": [1, 10, 13], "simplewrit": [1, 8], "take": [1, 2, 3, 6, 11], "care": 1, "writer": [1, 6, 7], "construct": 1, "Its": 1, "suffix": [1, 7], "determin": [1, 6, 7, 10, 11], "bz2": 1, "open": [1, 4, 5, 7], "new": [1, 3, 6, 7, 11, 13], "pack": 1, "xml": 1, "written": [1, 7, 10, 11], "add_": 1, "nodewrit": 1, "add_nod": [1, 6], "show": [1, 10, 11], "unmodifi": [1, 11], "directli": [1, 5], "modifi": [1, 5, 7], "nativ": [1, 6, 8], "immut": [1, 5], "replac": [1, 5, 6], "achiev": 1, "make": [1, 7, 12], "time": [1, 5, 7, 10, 11, 13], "valu": [1, 4, 5, 6, 7], "remov": [1, 3], "user": [1, 5], "your": [1, 5, 6, 12, 13], "befor": [1, 2, 6, 11, 13], "save": [1, 5, 6, 10, 11, 13], "mayb": 1, "space": [1, 5], "instanc": 1, "mutabl": [1, 6, 8], "These": [1, 13], "just": [1, 7, 10], "fact": 1, "ani": [1, 4, 5, 6, 7, 11, 13], "expect": [1, 5, 6, 7], "suitabl": 1, "sensibl": [1, 6], "miss": [1, 6, 11], "understand": 1, "shallow": [1, 5], "still": [1, 5, 6, 11, 13], "faster": [1, 6, 7, 13], "than": [1, 4, 6, 7, 11, 13], "mean": [1, 7, 11, 13], "kept": [1, 10, 11], "ha": [1, 4, 5, 7, 11, 13], "modul": [2, 4, 6, 7], "provid": [2, 3, 6, 7, 8, 13], "variou": 2, "note": [2, 5, 6, 7, 10, 13], "rememb": [2, 13], "handler": [2, 5, 7, 8], "us": [2, 5, 6, 7, 10, 11, 12, 13], "util": 2, "class": [2, 3, 4, 5, 8], "arg": [2, 5, 6], "kwarg": [2, 5, 6], "overload": [2, 5, 6], "_osm": [2, 3, 4, 5], "waynodelist": [2, 5], "use_nod": 2, "uniqu": [2, 5], "direct": 2, "forward": [2, 6], "str": [2, 3, 4, 5, 6, 7], "linestr": 2, "create_multipolygon": 2, "multipolygon": [2, 5, 6], "create_point": 2, "ref": [2, 5], "noderef": [2, 5], "properti": [2, 4, 5], "epsg": 2, "proj_str": 2, "string": [2, 3, 5, 6], "wktfactori": 2, "geojsonfactori": 2, "geojson": 2, "haversine_dist": 2, "float": [2, 5], "distanc": 2, "haversin": 2, "algorithm": [2, 7], "curvatur": 2, "earth": 2, "account": [2, 11], "meter": 2, "submodul": [3, 5], "effici": 3, "contain": [3, 5, 7, 10, 11, 13], "preprocess": 3, "locationt": 3, "avail": [3, 4, 7, 11, 13], "should": [3, 5, 6, 7, 10, 11, 13], "choosen": 3, "accord": 3, "size": [3, 5, 6, 10, 11, 13], "whether": 3, "perman": 3, "explain": [3, 13], "compil": [3, 12], "map_typ": 3, "create_map": 3, "valid": [3, 5, 6], "tabl": 3, "argument": 3, "separ": 3, "comma": 3, "an": [3, 4, 5, 6, 7, 10, 11, 12, 13], "arrai": 3, "back": [3, 7, 11, 13], "foo": 3, "map": [3, 7], "id": [3, 5, 7, 10, 11, 13], "posit": [3, 6], "clear": 3, "none": [3, 4, 5, 6, 7], "entri": 3, "int": [3, 5, 7], "loc": 3, "used_memori": 3, "byte": [3, 6, 7], "current": [3, 7, 13], "alloc": 3, "expos": [4, 5, 6], "close": [4, 5, 6, 7], "unus": 4, "afterward": 4, "eof": 4, "bool": [4, 5, 6, 7], "check": [4, 5, 13], "end": [4, 5, 6, 10], "been": [4, 5, 7, 11, 12], "reach": [4, 6, 10, 11], "header": [4, 7, 8, 10, 11, 13], "add_box": 4, "box": [4, 5], "add": [4, 5, 6, 13], "bound": [4, 5], "kei": [4, 5, 7], "has_multiple_object_vers": 4, "version": [4, 5, 7, 10, 11, 12, 13], "happen": 4, "histori": [4, 11, 13], "definit": 5, "throughout": 5, "lightwight": 5, "lifetim": 5, "buffer": [5, 6], "five": 5, "repres": [5, 7], "base": [5, 6, 7, 10, 11], "below": 5, "changeset": [5, 6], "wa": [5, 7, 11, 13], "delet": [5, 13], "longer": 5, "visibl": 5, "positive_id": 5, "absolut": 5, "describ": 5, "taglist": 5, "timestamp": [5, 7, 13], "datetim": [5, 7], "uid": 5, "identifi": 5, "Be": 5, "awar": [5, 6, 7], "appear": 5, "vice": 5, "versa": 5, "user_is_anonym": 5, "anonym": 5, "singl": [5, 6, 10], "group": 5, "geograph": 5, "coordin": 5, "scope": [5, 12], "origin": [5, 13], "ends_have_same_id": 5, "ends_have_same_loc": 5, "apply_buff": [5, 6], "present": 5, "is_clos": 5, "synonym": 5, "relationmemberlist": 5, "special": [5, 13], "meta": 5, "polygon": 5, "either": [5, 7, 10, 11, 13], "deriv": [5, 6], "own": [5, 13], "2": [5, 7], "ad": 5, "from_wai": 5, "fals": [5, 6, 7], "inner_r": 5, "outer_r": 5, "outer": 5, "innerringiter": 5, "iter": 5, "over": 5, "inner": 5, "ring": 5, "is_multipolygon": 5, "consist": 5, "multipl": [5, 6, 7, 10, 11, 13], "num_r": 5, "tupl": [5, 7], "orig_id": 5, "necessarili": [5, 13], "overlap": 5, "descript": [5, 8], "edit": [5, 13], "closed_at": 5, "final": [5, 13], "created_at": 5, "num_chang": 5, "creator": 5, "osmobjectlik": 5, "tagsequ": 5, "dict": [5, 7], "pair": 5, "constructor": 5, "initialis": 5, "nodelik": 5, "locationlik": 5, "attr": 5, "lon": 5, "lat": 5, "waylik": 5, "nodesequ": 5, "nodelist": 5, "relationlik": 5, "membersequ": 5, "relationmemb": 5, "role": 5, "charact": 5, "sequenc": [5, 7, 10, 11, 13], "simplifi": [5, 6, 7, 13], "latter": 5, "latitud": 5, "y": 5, "longitud": 5, "x": 5, "referenc": [5, 13], "fix": 5, "integ": 5, "nodereflist": 5, "subclass": 5, "instead": [5, 7, 11], "complex": 5, "defin": 5, "bottem": 5, "left": [5, 11, 13], "corner": 5, "top": 5, "right": [5, 13], "those": 5, "consid": 5, "too": 5, "bottom_left": 5, "bottom": 5, "insid": 5, "extend": [5, 13], "includ": 5, "unchang": 5, "oper": 5, "becom": 5, "equal": 5, "squar": 5, "degre": 5, "top_right": 5, "usual": [5, 6, 7], "doesn": 5, "rais": 5, "invalidlocationerror": 5, "lat_without_check": 5, "without": [5, 7, 13], "lon_without_check": 5, "within": 5, "text": 5, "empti": 5, "k": 5, "v": [5, 10, 11, 13], "export": [5, 6, 8], "unmut": 5, "dictionari": 5, "item": 5, "arg0": 5, "chain": 6, "interfac": [6, 8], "processor": 6, "easili": 6, "fine": 6, "grain": 6, "control": 6, "well": [6, 11, 12], "custom": [6, 7], "interest": 6, "recognis": 6, "readabl": 6, "until": [6, 10, 13], "retain": [6, 13], "_osmium": 6, "filenam": 6, "select": 6, "scan": 6, "twice": 6, "assembl": 6, "necessari": [6, 13], "full": [6, 7, 13], "discuss": 6, "understood": 6, "consider": 6, "avoid": [6, 11], "whereev": 6, "mandatori": 6, "yet": [6, 7, 13], "exist": [6, 7, 10, 13], "extens": 6, "second": 6, "4mb": 6, "larger": [6, 11], "dure": [6, 7, 10], "add_rel": 6, "add_wai": 6, "flush": 6, "while": [6, 13], "strictli": 6, "strongli": 6, "recommend": 6, "soon": [6, 7], "freed": 6, "basehandl": [6, 7], "node_handl": 6, "nodelocationsforwai": 6, "make_simple_handl": 6, "callabl": 6, "being": 6, "regular": [7, 13], "access": 7, "replicationserv": 7, "url": [7, 10, 11, 13], "diff_typ": 7, "osc": [7, 13], "gz": [7, 13], "connect": 7, "publish": [7, 13], "local": 7, "dataset": 7, "again": 7, "servic": [7, 10, 11, 13], "directori": [7, 11], "serv": 7, "someth": 7, "context": 7, "manag": 7, "set_request_paramet": 7, "request": [7, 10, 11], "timeout": [7, 10, 11], "similar": 7, "per": [7, 11], "60": [7, 11, 13], "sec": 7, "stream": 7, "make_request": 7, "open_url": 7, "resourc": 7, "collect_diff": 7, "start_id": 7, "max_siz": 7, "1024": 7, "downloadresult": 7, "mergeinputread": 7, "diff": [7, 10, 11], "stop": [7, 13], "unpack": 7, "exce": 7, "kb": 7, "namedtupl": 7, "field": [7, 13], "last": [7, 10], "newest": [7, 10, 11, 13], "recent": 7, "apply_diff": 7, "merg": 7, "togeth": [7, 12], "initi": [7, 10], "obtain": 7, "here": [7, 13], "period": 7, "cover": 7, "sent": [7, 10, 11], "fail": 7, "apply_diffs_to_fil": 7, "infil": 7, "outfil": [7, 10, 11], "set_replication_head": 7, "extra_head": 7, "outformat": 7, "notabl": 7, "timestamp_to_sequ": 7, "balanced_search": 7, "optimis": 7, "interv": [7, 13], "irregular": 7, "public": 7, "standard": [7, 10], "binari": [7, 12], "known": 7, "get_state_info": 7, "seq": 7, "retri": 7, "osmosisst": 7, "success": [7, 10], "otherwis": 7, "detect": [7, 11], "truncat": 7, "get_diff_block": 7, "urllib": 7, "httperror": 7, "get_state_url": 7, "txt": 7, "latest": [7, 10, 13], "info": 7, "root": 7, "get_diff_url": 7, "thin": 8, "scheme": 8, "short": 8, "background": 8, "found": [8, 10, 13], "low": 8, "level": 8, "entiti": 8, "storag": 8, "server": [8, 10, 11, 13], "come": 9, "coupl": 9, "script": [9, 13], "fetch": [10, 11, 13], "exit": [10, 11, 13], "bootstrap": [10, 13], "tri": [10, 12], "maximum": [10, 11, 13], "On": 10, "stdout": 10, "continu": [10, 11], "next": [10, 13], "run": [10, 11], "pipe": 10, "sourc": [10, 11, 12], "cooki": [10, 11], "http": [10, 11, 13], "netscap": [10, 11], "style": [10, 11], "jar": [10, 11], "send": [10, 11], "receiv": [10, 11], "help": [10, 11, 13], "messag": [10, 11], "increas": [10, 11, 13], "verbos": [10, 11], "omit": [10, 13], "server_url": [10, 11], "outsiz": 10, "mb": [10, 11], "100mb": [10, 13], "osmfil": [10, 13], "seq_fil": 10, "osmosi": [10, 11, 13], "dedupl": [10, 13], "socket": [10, 11], "socket_timeout": [10, 11], "onc": [11, 13], "limit": 11, "gb": 11, "correspond": [11, 13], "approxim": 11, "3": [11, 13], "dai": [11, 13], "1gb": [11, 13], "automat": [11, 13], "subsequ": [11, 13], "successfulli": [11, 13], "network": 11, "resolv": 11, "code": [11, 12, 13], "guarante": 11, "overwritten": 11, "org": [11, 13], "hour": [11, 13], "hourli": [11, 13], "tmpdir": 11, "b": 11, "wind_back": 11, "wind": 11, "minut": [11, 13], "forc": 11, "old": 11, "even": 11, "realli": [11, 13], "One": 12, "outsid": 12, "perform": 12, "reason": 12, "view": 12, "deep": 12, "collect": 12, "report": 12, "plai": 12, "segment": 12, "fault": 12, "instal": 12, "pip": 12, "depenc": 12, "readm": 12, "constantli": 13, "snapshot": 13, "develop": 13, "along": 13, "ship": 13, "two": 13, "referenti": 13, "rare": 13, "But": 13, "offici": 13, "wide": 13, "daili": 13, "geofabrik": 13, "link": 13, "go": 13, "month": 13, "older": 13, "fr": 13, "wiki": 13, "easi": 13, "find": 13, "repeat": 13, "command": 13, "whenev": 13, "newer": 13, "pick": 13, "off": 13, "previou": 13, "statu": 13, "switch": 13, "ag": 13, "anymor": 13, "support": 13, "costli": 13, "10000": 13, "10gb": 13, "30": 13, "anew": 13, "signal": 13, "indic": 13, "minim": 13, "replcait": 13, "wnat": 13, "eq": 13, "quit": 13, "few": 13, "osm2pgsql": 13, "imposm": 13, "nominatim": 13, "often": 13, "appropri": 13, "slightli": 13, "involv": 13, "strategi": 13, "highest": 13, "websit": 13, "2367234": 13, "www": 13, "api": 13, "6": 13, "23672341": 13, "2007": 13, "01": 13, "01t14": 13, "16": 13, "21z": 13, "newchang": 13, "element": 13, "specifi": 13, "worth": 13, "8": 13, "emit": 13, "fatal": 13, "shell": 13, "overwrit": 13, "rm": 13, "batch": 13, "elif": 13, "No": 13, "sleep": 13, "bit": 13, "els": 13, "echo": 13}, "objects": {"osmium": [[6, 0, 1, "", "SimpleHandler"], [6, 0, 1, "", "SimpleWriter"], [6, 2, 1, "", "apply"], [6, 2, 1, "", "make_simple_handler"]], "osmium.SimpleHandler": [[6, 1, 1, "", "apply_buffer"], [6, 1, 1, "", "apply_file"]], "osmium.SimpleWriter": [[6, 1, 1, "", "add_node"], [6, 1, 1, "", "add_relation"], [6, 1, 1, "", "add_way"], [6, 1, 1, "", "close"]], "osmium.geom": [[2, 0, 1, "", "GeoJSONFactory"], [2, 0, 1, "", "WKBFactory"], [2, 0, 1, "", "WKTFactory"], [2, 2, 1, "", "haversine_distance"]], "osmium.geom.GeoJSONFactory": [[2, 1, 1, "", "create_linestring"], [2, 1, 1, "", "create_multipolygon"], [2, 1, 1, "", "create_point"], [2, 3, 1, "", "epsg"], [2, 3, 1, "", "proj_string"]], "osmium.geom.WKBFactory": [[2, 1, 1, "", "create_linestring"], [2, 1, 1, "", "create_multipolygon"], [2, 1, 1, "", "create_point"], [2, 3, 1, "", "epsg"], [2, 3, 1, "", "proj_string"]], "osmium.geom.WKTFactory": [[2, 1, 1, "", "create_linestring"], [2, 1, 1, "", "create_multipolygon"], [2, 1, 1, "", "create_point"], [2, 3, 1, "", "epsg"], [2, 3, 1, "", "proj_string"]], "osmium.index": [[3, 0, 1, "", "LocationTable"], [3, 2, 1, "", "create_map"], [3, 2, 1, "", "map_types"]], "osmium.index.LocationTable": [[3, 1, 1, "", "clear"], [3, 1, 1, "", "get"], [3, 1, 1, "", "set"], [3, 1, 1, "", "used_memory"]], "osmium.io": [[4, 0, 1, "", "Header"], [4, 0, 1, "", "Reader"]], "osmium.io.Header": [[4, 1, 1, "", "add_box"], [4, 1, 1, "", "box"], [4, 1, 1, "", "get"], [4, 3, 1, "", "has_multiple_object_versions"], [4, 1, 1, "", "set"]], "osmium.io.Reader": [[4, 1, 1, "", "close"], [4, 1, 1, "", "eof"], [4, 1, 1, "", "header"]], "osmium.osm": [[5, 0, 1, "", "Area"], [5, 0, 1, "", "Box"], [5, 0, 1, "", "Changeset"], [5, 0, 1, "", "InnerRing"], [5, 0, 1, "", "Location"], [5, 0, 1, "", "Node"], [5, 0, 1, "", "NodeRef"], [5, 0, 1, "", "NodeRefList"], [5, 0, 1, "", "OSMObject"], [5, 0, 1, "", "OuterRing"], [5, 0, 1, "", "Relation"], [5, 0, 1, "", "RelationMember"], [5, 0, 1, "", "RelationMemberList"], [5, 0, 1, "", "Tag"], [5, 0, 1, "", "TagList"], [5, 0, 1, "", "Way"], [5, 0, 1, "", "WayNodeList"]], "osmium.osm.Area": [[5, 1, 1, "", "from_way"], [5, 1, 1, "", "inner_rings"], [5, 1, 1, "", "is_multipolygon"], [5, 1, 1, "", "num_rings"], [5, 1, 1, "", "orig_id"], [5, 1, 1, "", "outer_rings"]], "osmium.osm.Box": [[5, 3, 1, "", "bottom_left"], [5, 1, 1, "", "contains"], [5, 1, 1, "", "extend"], [5, 1, 1, "", "size"], [5, 3, 1, "", "top_right"], [5, 1, 1, "", "valid"]], "osmium.osm.Changeset": [[5, 3, 1, "", "bounds"], [5, 3, 1, "", "closed_at"], [5, 3, 1, "", "created_at"], [5, 3, 1, "", "id"], [5, 3, 1, "", "num_changes"], [5, 3, 1, "", "open"], [5, 3, 1, "", "tags"], [5, 3, 1, "", "uid"], [5, 3, 1, "", "user"], [5, 1, 1, "", "user_is_anonymous"]], "osmium.osm.Location": [[5, 3, 1, "", "lat"], [5, 1, 1, "", "lat_without_check"], [5, 3, 1, "", "lon"], [5, 1, 1, "", "lon_without_check"], [5, 1, 1, "", "valid"], [5, 3, 1, "", "x"], [5, 3, 1, "", "y"]], "osmium.osm.Node": [[5, 3, 1, "", "location"], [5, 1, 1, "", "replace"]], "osmium.osm.NodeRef": [[5, 3, 1, "", "lat"], [5, 3, 1, "", "location"], [5, 3, 1, "", "lon"], [5, 3, 1, "", "ref"], [5, 3, 1, "", "x"], [5, 3, 1, "", "y"]], "osmium.osm.NodeRefList": [[5, 1, 1, "", "ends_have_same_id"], [5, 1, 1, "", "ends_have_same_location"], [5, 1, 1, "", "is_closed"]], "osmium.osm.OSMObject": [[5, 3, 1, "", "changeset"], [5, 3, 1, "", "deleted"], [5, 3, 1, "", "id"], [5, 1, 1, "", "positive_id"], [5, 3, 1, "", "tags"], [5, 3, 1, "", "timestamp"], [5, 3, 1, "", "uid"], [5, 3, 1, "", "user"], [5, 1, 1, "", "user_is_anonymous"], [5, 3, 1, "", "version"], [5, 3, 1, "", "visible"]], "osmium.osm.Relation": [[5, 3, 1, "", "members"], [5, 1, 1, "", "replace"]], "osmium.osm.RelationMember": [[5, 3, 1, "", "ref"], [5, 3, 1, "", "role"], [5, 3, 1, "", "type"]], "osmium.osm.Tag": [[5, 3, 1, "", "k"], [5, 3, 1, "", "v"]], "osmium.osm.TagList": [[5, 1, 1, "", "get"]], "osmium.osm.Way": [[5, 1, 1, "", "ends_have_same_id"], [5, 1, 1, "", "ends_have_same_location"], [5, 1, 1, "", "is_closed"], [5, 3, 1, "", "nodes"], [5, 1, 1, "", "replace"]], "osmium.osm.mutable": [[5, 0, 1, "", "Node"], [5, 0, 1, "", "OSMObject"], [5, 0, 1, "", "Relation"], [5, 0, 1, "", "Way"]], "osmium.replication.server": [[7, 0, 1, "", "ReplicationServer"]], "osmium.replication.server.ReplicationServer": [[7, 1, 1, "", "apply_diffs"], [7, 1, 1, "", "apply_diffs_to_file"], [7, 1, 1, "", "close"], [7, 1, 1, "", "collect_diffs"], [7, 1, 1, "", "get_diff_block"], [7, 1, 1, "", "get_diff_url"], [7, 1, 1, "", "get_state_info"], [7, 1, 1, "", "get_state_url"], [7, 1, 1, "", "make_request"], [7, 1, 1, "", "open_url"], [7, 1, 1, "", "set_request_parameter"], [7, 1, 1, "", "timestamp_to_sequence"]], "pyosmium-get-changes.py": [[10, 4, 1, "cmdoption-pyosmium-get-changes.py-cookie", "--cookie"], [10, 4, 1, "cmdoption-pyosmium-get-changes.py-format", "--format"], [10, 4, 1, "cmdoption-pyosmium-get-changes.py-h", "--help"], [10, 4, 1, "cmdoption-pyosmium-get-changes.py-ignore-osmosis-headers", "--ignore-osmosis-headers"], [10, 4, 1, "cmdoption-pyosmium-get-changes.py-d", "--no-deduplicate"], [10, 4, 1, "cmdoption-pyosmium-get-changes.py-o", "--outfile"], [10, 4, 1, "cmdoption-pyosmium-get-changes.py-f", "--sequence-file"], [10, 4, 1, "cmdoption-pyosmium-get-changes.py-server", "--server"], [10, 4, 1, "cmdoption-pyosmium-get-changes.py-s", "--size"], [10, 4, 1, "cmdoption-pyosmium-get-changes.py-socket-timeout", "--socket-timeout"], [10, 4, 1, "cmdoption-pyosmium-get-changes.py-D", "--start-date"], [10, 4, 1, "cmdoption-pyosmium-get-changes.py-I", "--start-id"], [10, 4, 1, "cmdoption-pyosmium-get-changes.py-O", "--start-osm-data"], [10, 4, 1, "cmdoption-pyosmium-get-changes.py-version", "--version"], [10, 4, 1, "cmdoption-pyosmium-get-changes.py-D", "-D"], [10, 4, 1, "cmdoption-pyosmium-get-changes.py-I", "-I"], [10, 4, 1, "cmdoption-pyosmium-get-changes.py-O", "-O"], [10, 4, 1, "cmdoption-pyosmium-get-changes.py-d", "-d"], [10, 4, 1, "cmdoption-pyosmium-get-changes.py-f", "-f"], [10, 4, 1, "cmdoption-pyosmium-get-changes.py-h", "-h"], [10, 4, 1, "cmdoption-pyosmium-get-changes.py-o", "-o"], [10, 4, 1, "cmdoption-pyosmium-get-changes.py-s", "-s"], [10, 4, 1, "cmdoption-pyosmium-get-changes.py-v", "-v"]], "pyosmium-up-to-date.py": [[11, 4, 1, "cmdoption-pyosmium-up-to-date.py-cookie", "--cookie"], [11, 4, 1, "cmdoption-pyosmium-up-to-date.py-force-update-of-old-planet", "--force-update-of-old-planet"], [11, 4, 1, "cmdoption-pyosmium-up-to-date.py-format", "--format"], [11, 4, 1, "cmdoption-pyosmium-up-to-date.py-h", "--help"], [11, 4, 1, "cmdoption-pyosmium-up-to-date.py-ignore-osmosis-headers", "--ignore-osmosis-headers"], [11, 4, 1, "cmdoption-pyosmium-up-to-date.py-o", "--outfile"], [11, 4, 1, "cmdoption-pyosmium-up-to-date.py-server", "--server"], [11, 4, 1, "cmdoption-pyosmium-up-to-date.py-s", "--size"], [11, 4, 1, "cmdoption-pyosmium-up-to-date.py-socket-timeout", "--socket-timeout"], [11, 4, 1, "cmdoption-pyosmium-up-to-date.py-tmpdir", "--tmpdir"], [11, 4, 1, "cmdoption-pyosmium-up-to-date.py-version", "--version"], [11, 4, 1, "cmdoption-pyosmium-up-to-date.py-b", "--wind-back"], [11, 4, 1, "cmdoption-pyosmium-up-to-date.py-b", "-b"], [11, 4, 1, "cmdoption-pyosmium-up-to-date.py-h", "-h"], [11, 4, 1, "cmdoption-pyosmium-up-to-date.py-o", "-o"], [11, 4, 1, "cmdoption-pyosmium-up-to-date.py-s", "-s"], [11, 4, 1, "cmdoption-pyosmium-up-to-date.py-v", "-v"]]}, "objtypes": {"0": "py:class", "1": "py:method", "2": "py:function", "3": "py:property", "4": "std:cmdoption"}, "objnames": {"0": ["py", "class", "Python class"], "1": ["py", "method", "Python method"], "2": ["py", "function", "Python function"], "3": ["py", "property", "Python property"], "4": ["std", "cmdoption", "program option"]}, "titleterms": {"welcom": 0, "pyosmium": [0, 8, 9, 10, 11], "": 0, "document": 0, "basic": [1, 5], "usag": [1, 10, 11], "read": 1, "osm": [1, 5, 6, 7, 10, 11, 12], "data": [1, 3, 4, 7, 13], "us": 1, "handler": [1, 6], "class": [1, 6, 7], "inspect": 1, "object": [1, 5, 12], "collect": 1, "from": [1, 13], "an": 1, "file": [1, 6, 10, 11, 13], "handl": [1, 7], "geometri": [1, 2], "interfac": 1, "shape": 1, "write": 1, "geom": 2, "helper": 2, "function": [2, 6], "factori": 2, "other": [2, 5], "index": 3, "store": 3, "node": [3, 5], "locat": 3, "storag": 3, "io": 4, "In": 4, "output": 4, "datatyp": 5, "nativ": 5, "mutabl": 5, "refer": [5, 8, 12], "list": 5, "entiti": 5, "attribut": 5, "osmium": 6, "process": 6, "input": 6, "simplewrit": 6, "low": 6, "level": 6, "replic": [7, 13], "updat": [7, 13], "server": 7, "tool": 9, "get": [10, 13], "chang": [10, 13], "download": 10, "py": [10, 11], "up": 11, "date": [11, 13], "bring": 11, "troubleshoot": 12, "runtimeerror": 12, "callback": 12, "keep": 12, "segfault": 12, "when": 12, "import": [12, 13], "anoth": 12, "librari": 12, "openstreetmap": 13, "about": 13, "planet": 13, "extract": 13, "choos": 13, "sourc": 13, "larger": 13, "amount": 13, "creat": 13, "databas": 13, "prepar": 13, "state": 13, "method": 13, "1": 13, "start": 13, "2": 13, "continu": 13}, "envversion": {"sphinx.domains.c": 2, "sphinx.domains.changeset": 1, "sphinx.domains.citation": 1, "sphinx.domains.cpp": 8, "sphinx.domains.index": 1, "sphinx.domains.javascript": 2, "sphinx.domains.math": 2, "sphinx.domains.python": 3, "sphinx.domains.rst": 2, "sphinx.domains.std": 2, "sphinx.ext.todo": 2, "sphinx": 57}, "alltitles": {"Welcome to Pyosmium\u2019s documentation!": [[0, "welcome-to-pyosmium-s-documentation"]], "Basic Usage": [[1, "basic-usage"]], "Reading OSM Data": [[1, "reading-osm-data"]], "Using Handler Classes": [[1, "using-handler-classes"]], "Inspecting the OSM objects": [[1, "inspecting-the-osm-objects"]], "Collecting data from an OSM file": [[1, "collecting-data-from-an-osm-file"]], "Handling Geometries": [[1, "handling-geometries"]], "Interfacing with Shapely": [[1, "interfacing-with-shapely"]], "Writing OSM Data": [[1, "writing-osm-data"]], "geom - Geometry Helper Functions": [[2, "geom-geometry-helper-functions"]], "Geometry Factories": [[2, "geometry-factories"]], "Other Functions": [[2, "other-functions"]], "index - Data Stores": [[3, "index-data-stores"]], "Node Location Storage": [[3, "node-location-storage"]], "io - Data In- and Output": [[4, "io-data-in-and-output"]], "osm - Basic Datatypes": [[5, "osm-basic-datatypes"]], "Native OSM Objects": [[5, "native-osm-objects"]], "Mutable OSM Objects": [[5, "mutable-osm-objects"]], "Node Reference Lists": [[5, "node-reference-lists"]], "Other OSM Entity Attributes": [[5, "other-osm-entity-attributes"]], "osmium - Processing OSM files": [[6, "osmium-processing-osm-files"]], "Input Handlers": [[6, "input-handlers"]], "SimpleWriter": [[6, "simplewriter"]], "Low-level Functions and Classes": [[6, "low-level-functions-and-classes"]], "replication - Handling Updates of OSM Data": [[7, "replication-handling-updates-of-osm-data"]], "Replication Server Class": [[7, "replication-server-class"]], "Pyosmium Reference": [[8, "pyosmium-reference"]], "Pyosmium Tools": [[9, "pyosmium-tools"]], "pyosmium-get-changes - Downloading OSM change files": [[10, "pyosmium-get-changes-downloading-osm-change-files"]], "Usage": [[10, "usage"], [11, "usage"]], "pyosmium-get-changes.py": [[10, "pyosmium-get-changes-py"]], "pyosmium-up-to-date - Bringing OSM files up-to-date": [[11, "pyosmium-up-to-date-bringing-osm-files-up-to-date"]], "pyosmium-up-to-date.py": [[11, "pyosmium-up-to-date-py"]], "Troubleshooting": [[12, "troubleshooting"]], "RuntimeError: callback keeps reference to OSM object": [[12, "runtimeerror-callback-keeps-reference-to-osm-object"]], "Segfault when importing another library": [[12, "segfault-when-importing-another-library"]], "Updating OpenStreetMap data from change files": [[13, "updating-openstreetmap-data-from-change-files"]], "About change files": [[13, "about-change-files"]], "Getting change files": [[13, "getting-change-files"]], "Updating a planet or extract": [[13, "updating-a-planet-or-extract"]], "Choosing the replication source": [[13, "choosing-the-replication-source"]], "Updating larger amounts of data": [[13, "updating-larger-amounts-of-data"]], "Creating change files for updating databases": [[13, "creating-change-files-for-updating-databases"]], "Preparing the state file": [[13, "preparing-the-state-file"]], "Method 1: Starting from the import file": [[13, "method-1-starting-from-the-import-file"]], "Method 2: Starting from a date": [[13, "method-2-starting-from-a-date"]], "Creating a change file": [[13, "creating-a-change-file"]], "Continuously updating a database": [[13, "continuously-updating-a-database"]]}, "indexentries": {"geojsonfactory (class in osmium.geom)": [[2, "osmium.geom.GeoJSONFactory"]], "wkbfactory (class in osmium.geom)": [[2, "osmium.geom.WKBFactory"]], "wktfactory (class in osmium.geom)": [[2, "osmium.geom.WKTFactory"]], "create_linestring() (osmium.geom.geojsonfactory method)": [[2, "osmium.geom.GeoJSONFactory.create_linestring"]], "create_linestring() (osmium.geom.wkbfactory method)": [[2, "osmium.geom.WKBFactory.create_linestring"]], "create_linestring() (osmium.geom.wktfactory method)": [[2, "osmium.geom.WKTFactory.create_linestring"]], "create_multipolygon() (osmium.geom.geojsonfactory method)": [[2, "osmium.geom.GeoJSONFactory.create_multipolygon"]], "create_multipolygon() (osmium.geom.wkbfactory method)": [[2, "osmium.geom.WKBFactory.create_multipolygon"]], "create_multipolygon() (osmium.geom.wktfactory method)": [[2, "osmium.geom.WKTFactory.create_multipolygon"]], "create_point() (osmium.geom.geojsonfactory method)": [[2, "osmium.geom.GeoJSONFactory.create_point"]], "create_point() (osmium.geom.wkbfactory method)": [[2, "osmium.geom.WKBFactory.create_point"]], "create_point() (osmium.geom.wktfactory method)": [[2, "osmium.geom.WKTFactory.create_point"]], "epsg (osmium.geom.geojsonfactory property)": [[2, "osmium.geom.GeoJSONFactory.epsg"]], "epsg (osmium.geom.wkbfactory property)": [[2, "osmium.geom.WKBFactory.epsg"]], "epsg (osmium.geom.wktfactory property)": [[2, "osmium.geom.WKTFactory.epsg"]], "haversine_distance() (in module osmium.geom)": [[2, "osmium.geom.haversine_distance"]], "proj_string (osmium.geom.geojsonfactory property)": [[2, "osmium.geom.GeoJSONFactory.proj_string"]], "proj_string (osmium.geom.wkbfactory property)": [[2, "osmium.geom.WKBFactory.proj_string"]], "proj_string (osmium.geom.wktfactory property)": [[2, "osmium.geom.WKTFactory.proj_string"]], "locationtable (class in osmium.index)": [[3, "osmium.index.LocationTable"]], "clear() (osmium.index.locationtable method)": [[3, "osmium.index.LocationTable.clear"]], "create_map() (in module osmium.index)": [[3, "osmium.index.create_map"]], "get() (osmium.index.locationtable method)": [[3, "osmium.index.LocationTable.get"]], "map_types() (in module osmium.index)": [[3, "osmium.index.map_types"]], "set() (osmium.index.locationtable method)": [[3, "osmium.index.LocationTable.set"]], "used_memory() (osmium.index.locationtable method)": [[3, "osmium.index.LocationTable.used_memory"]], "header (class in osmium.io)": [[4, "osmium.io.Header"]], "reader (class in osmium.io)": [[4, "osmium.io.Reader"]], "add_box() (osmium.io.header method)": [[4, "osmium.io.Header.add_box"]], "box() (osmium.io.header method)": [[4, "osmium.io.Header.box"]], "close() (osmium.io.reader method)": [[4, "osmium.io.Reader.close"]], "eof() (osmium.io.reader method)": [[4, "osmium.io.Reader.eof"]], "get() (osmium.io.header method)": [[4, "osmium.io.Header.get"]], "has_multiple_object_versions (osmium.io.header property)": [[4, "osmium.io.Header.has_multiple_object_versions"]], "header() (osmium.io.reader method)": [[4, "osmium.io.Reader.header"]], "set() (osmium.io.header method)": [[4, "osmium.io.Header.set"]], "area (class in osmium.osm)": [[5, "osmium.osm.Area"]], "box (class in osmium.osm)": [[5, "osmium.osm.Box"]], "changeset (class in osmium.osm)": [[5, "osmium.osm.Changeset"]], "innerring (class in osmium.osm)": [[5, "osmium.osm.InnerRing"]], "location (class in osmium.osm)": [[5, "osmium.osm.Location"]], "node (class in osmium.osm)": [[5, "osmium.osm.Node"]], "node (class in osmium.osm.mutable)": [[5, "osmium.osm.mutable.Node"]], "noderef (class in osmium.osm)": [[5, "osmium.osm.NodeRef"]], "nodereflist (class in osmium.osm)": [[5, "osmium.osm.NodeRefList"]], "osmobject (class in osmium.osm)": [[5, "osmium.osm.OSMObject"]], "osmobject (class in osmium.osm.mutable)": [[5, "osmium.osm.mutable.OSMObject"]], "outerring (class in osmium.osm)": [[5, "osmium.osm.OuterRing"]], "relation (class in osmium.osm)": [[5, "osmium.osm.Relation"]], "relation (class in osmium.osm.mutable)": [[5, "osmium.osm.mutable.Relation"]], "relationmember (class in osmium.osm)": [[5, "osmium.osm.RelationMember"]], "relationmemberlist (class in osmium.osm)": [[5, "osmium.osm.RelationMemberList"]], "tag (class in osmium.osm)": [[5, "osmium.osm.Tag"]], "taglist (class in osmium.osm)": [[5, "osmium.osm.TagList"]], "way (class in osmium.osm)": [[5, "osmium.osm.Way"]], "way (class in osmium.osm.mutable)": [[5, "osmium.osm.mutable.Way"]], "waynodelist (class in osmium.osm)": [[5, "osmium.osm.WayNodeList"]], "bottom_left (osmium.osm.box property)": [[5, "osmium.osm.Box.bottom_left"]], "bounds (osmium.osm.changeset property)": [[5, "osmium.osm.Changeset.bounds"]], "changeset (osmium.osm.osmobject property)": [[5, "osmium.osm.OSMObject.changeset"]], "closed_at (osmium.osm.changeset property)": [[5, "osmium.osm.Changeset.closed_at"]], "contains() (osmium.osm.box method)": [[5, "osmium.osm.Box.contains"]], "created_at (osmium.osm.changeset property)": [[5, "osmium.osm.Changeset.created_at"]], "deleted (osmium.osm.osmobject property)": [[5, "osmium.osm.OSMObject.deleted"]], "ends_have_same_id() (osmium.osm.nodereflist method)": [[5, "osmium.osm.NodeRefList.ends_have_same_id"]], "ends_have_same_id() (osmium.osm.way method)": [[5, "osmium.osm.Way.ends_have_same_id"]], "ends_have_same_location() (osmium.osm.nodereflist method)": [[5, "osmium.osm.NodeRefList.ends_have_same_location"]], "ends_have_same_location() (osmium.osm.way method)": [[5, "osmium.osm.Way.ends_have_same_location"]], "extend() (osmium.osm.box method)": [[5, "osmium.osm.Box.extend"]], "from_way() (osmium.osm.area method)": [[5, "osmium.osm.Area.from_way"]], "get() (osmium.osm.taglist method)": [[5, "osmium.osm.TagList.get"]], "id (osmium.osm.changeset property)": [[5, "osmium.osm.Changeset.id"]], "id (osmium.osm.osmobject property)": [[5, "osmium.osm.OSMObject.id"]], "inner_rings() (osmium.osm.area method)": [[5, "osmium.osm.Area.inner_rings"]], "is_closed() (osmium.osm.nodereflist method)": [[5, "osmium.osm.NodeRefList.is_closed"]], "is_closed() (osmium.osm.way method)": [[5, "osmium.osm.Way.is_closed"]], "is_multipolygon() (osmium.osm.area method)": [[5, "osmium.osm.Area.is_multipolygon"]], "k (osmium.osm.tag property)": [[5, "osmium.osm.Tag.k"]], "lat (osmium.osm.location property)": [[5, "osmium.osm.Location.lat"]], "lat (osmium.osm.noderef property)": [[5, "osmium.osm.NodeRef.lat"]], "lat_without_check() (osmium.osm.location method)": [[5, "osmium.osm.Location.lat_without_check"]], "location (osmium.osm.node property)": [[5, "osmium.osm.Node.location"]], "location (osmium.osm.noderef property)": [[5, "osmium.osm.NodeRef.location"]], "lon (osmium.osm.location property)": [[5, "osmium.osm.Location.lon"]], "lon (osmium.osm.noderef property)": [[5, "osmium.osm.NodeRef.lon"]], "lon_without_check() (osmium.osm.location method)": [[5, "osmium.osm.Location.lon_without_check"]], "members (osmium.osm.relation property)": [[5, "osmium.osm.Relation.members"]], "nodes (osmium.osm.way property)": [[5, "osmium.osm.Way.nodes"]], "num_changes (osmium.osm.changeset property)": [[5, "osmium.osm.Changeset.num_changes"]], "num_rings() (osmium.osm.area method)": [[5, "osmium.osm.Area.num_rings"]], "open (osmium.osm.changeset property)": [[5, "osmium.osm.Changeset.open"]], "orig_id() (osmium.osm.area method)": [[5, "osmium.osm.Area.orig_id"]], "outer_rings() (osmium.osm.area method)": [[5, "osmium.osm.Area.outer_rings"]], "positive_id() (osmium.osm.osmobject method)": [[5, "osmium.osm.OSMObject.positive_id"]], "ref (osmium.osm.noderef property)": [[5, "osmium.osm.NodeRef.ref"]], "ref (osmium.osm.relationmember property)": [[5, "osmium.osm.RelationMember.ref"]], "replace() (osmium.osm.node method)": [[5, "osmium.osm.Node.replace"]], "replace() (osmium.osm.relation method)": [[5, "osmium.osm.Relation.replace"]], "replace() (osmium.osm.way method)": [[5, "osmium.osm.Way.replace"]], "role (osmium.osm.relationmember property)": [[5, "osmium.osm.RelationMember.role"]], "size() (osmium.osm.box method)": [[5, "osmium.osm.Box.size"]], "tags (osmium.osm.changeset property)": [[5, "osmium.osm.Changeset.tags"]], "tags (osmium.osm.osmobject property)": [[5, "osmium.osm.OSMObject.tags"]], "timestamp (osmium.osm.osmobject property)": [[5, "osmium.osm.OSMObject.timestamp"]], "top_right (osmium.osm.box property)": [[5, "osmium.osm.Box.top_right"]], "type (osmium.osm.relationmember property)": [[5, "osmium.osm.RelationMember.type"]], "uid (osmium.osm.changeset property)": [[5, "osmium.osm.Changeset.uid"]], "uid (osmium.osm.osmobject property)": [[5, "osmium.osm.OSMObject.uid"]], "user (osmium.osm.changeset property)": [[5, "osmium.osm.Changeset.user"]], "user (osmium.osm.osmobject property)": [[5, "osmium.osm.OSMObject.user"]], "user_is_anonymous() (osmium.osm.changeset method)": [[5, "osmium.osm.Changeset.user_is_anonymous"]], "user_is_anonymous() (osmium.osm.osmobject method)": [[5, "osmium.osm.OSMObject.user_is_anonymous"]], "v (osmium.osm.tag property)": [[5, "osmium.osm.Tag.v"]], "valid() (osmium.osm.box method)": [[5, "osmium.osm.Box.valid"]], "valid() (osmium.osm.location method)": [[5, "osmium.osm.Location.valid"]], "version (osmium.osm.osmobject property)": [[5, "osmium.osm.OSMObject.version"]], "visible (osmium.osm.osmobject property)": [[5, "osmium.osm.OSMObject.visible"]], "x (osmium.osm.location property)": [[5, "osmium.osm.Location.x"]], "x (osmium.osm.noderef property)": [[5, "osmium.osm.NodeRef.x"]], "y (osmium.osm.location property)": [[5, "osmium.osm.Location.y"]], "y (osmium.osm.noderef property)": [[5, "osmium.osm.NodeRef.y"]], "simplehandler (class in osmium)": [[6, "osmium.SimpleHandler"]], "simplewriter (class in osmium)": [[6, "osmium.SimpleWriter"]], "add_node() (osmium.simplewriter method)": [[6, "osmium.SimpleWriter.add_node"]], "add_relation() (osmium.simplewriter method)": [[6, "osmium.SimpleWriter.add_relation"]], "add_way() (osmium.simplewriter method)": [[6, "osmium.SimpleWriter.add_way"]], "apply() (in module osmium)": [[6, "osmium.apply"]], "apply_buffer() (osmium.simplehandler method)": [[6, "osmium.SimpleHandler.apply_buffer"]], "apply_file() (osmium.simplehandler method)": [[6, "osmium.SimpleHandler.apply_file"]], "close() (osmium.simplewriter method)": [[6, "osmium.SimpleWriter.close"]], "make_simple_handler() (in module osmium)": [[6, "osmium.make_simple_handler"]], "replicationserver (class in osmium.replication.server)": [[7, "osmium.replication.server.ReplicationServer"]], "apply_diffs() (osmium.replication.server.replicationserver method)": [[7, "osmium.replication.server.ReplicationServer.apply_diffs"]], "apply_diffs_to_file() (osmium.replication.server.replicationserver method)": [[7, "osmium.replication.server.ReplicationServer.apply_diffs_to_file"]], "close() (osmium.replication.server.replicationserver method)": [[7, "osmium.replication.server.ReplicationServer.close"]], "collect_diffs() (osmium.replication.server.replicationserver method)": [[7, "osmium.replication.server.ReplicationServer.collect_diffs"]], "get_diff_block() (osmium.replication.server.replicationserver method)": [[7, "osmium.replication.server.ReplicationServer.get_diff_block"]], "get_diff_url() (osmium.replication.server.replicationserver method)": [[7, "osmium.replication.server.ReplicationServer.get_diff_url"]], "get_state_info() (osmium.replication.server.replicationserver method)": [[7, "osmium.replication.server.ReplicationServer.get_state_info"]], "get_state_url() (osmium.replication.server.replicationserver method)": [[7, "osmium.replication.server.ReplicationServer.get_state_url"]], "make_request() (osmium.replication.server.replicationserver method)": [[7, "osmium.replication.server.ReplicationServer.make_request"]], "open_url() (osmium.replication.server.replicationserver method)": [[7, "osmium.replication.server.ReplicationServer.open_url"]], "set_request_parameter() (osmium.replication.server.replicationserver method)": [[7, "osmium.replication.server.ReplicationServer.set_request_parameter"]], "timestamp_to_sequence() (osmium.replication.server.replicationserver method)": [[7, "osmium.replication.server.ReplicationServer.timestamp_to_sequence"]], "--cookie": [[10, "cmdoption-pyosmium-get-changes.py-cookie"], [11, "cmdoption-pyosmium-up-to-date.py-cookie"]], "--format": [[10, "cmdoption-pyosmium-get-changes.py-format"], [11, "cmdoption-pyosmium-up-to-date.py-format"]], "--help": [[10, "cmdoption-pyosmium-get-changes.py-h"], [11, "cmdoption-pyosmium-up-to-date.py-h"]], "--ignore-osmosis-headers": [[10, "cmdoption-pyosmium-get-changes.py-ignore-osmosis-headers"], [11, "cmdoption-pyosmium-up-to-date.py-ignore-osmosis-headers"]], "--no-deduplicate": [[10, "cmdoption-pyosmium-get-changes.py-d"]], "--outfile": [[10, "cmdoption-pyosmium-get-changes.py-o"], [11, "cmdoption-pyosmium-up-to-date.py-o"]], "--sequence-file": [[10, "cmdoption-pyosmium-get-changes.py-f"]], "--server": [[10, "cmdoption-pyosmium-get-changes.py-server"], [11, "cmdoption-pyosmium-up-to-date.py-server"]], "--size": [[10, "cmdoption-pyosmium-get-changes.py-s"], [11, "cmdoption-pyosmium-up-to-date.py-s"]], "--socket-timeout": [[10, "cmdoption-pyosmium-get-changes.py-socket-timeout"], [11, "cmdoption-pyosmium-up-to-date.py-socket-timeout"]], "--start-date": [[10, "cmdoption-pyosmium-get-changes.py-D"]], "--start-id": [[10, "cmdoption-pyosmium-get-changes.py-I"]], "--start-osm-data": [[10, "cmdoption-pyosmium-get-changes.py-O"]], "--version": [[10, "cmdoption-pyosmium-get-changes.py-version"], [11, "cmdoption-pyosmium-up-to-date.py-version"]], "-d": [[10, "cmdoption-pyosmium-get-changes.py-D"], [10, "cmdoption-pyosmium-get-changes.py-d"]], "-i": [[10, "cmdoption-pyosmium-get-changes.py-I"]], "-o": [[10, "cmdoption-pyosmium-get-changes.py-O"], [10, "cmdoption-pyosmium-get-changes.py-o"], [11, "cmdoption-pyosmium-up-to-date.py-o"]], "-f": [[10, "cmdoption-pyosmium-get-changes.py-f"]], "-h": [[10, "cmdoption-pyosmium-get-changes.py-h"], [11, "cmdoption-pyosmium-up-to-date.py-h"]], "-s": [[10, "cmdoption-pyosmium-get-changes.py-s"], [11, "cmdoption-pyosmium-up-to-date.py-s"]], "-v": [[10, "cmdoption-pyosmium-get-changes.py-v"], [11, "cmdoption-pyosmium-up-to-date.py-v"]], "pyosmium-get-changes.py command line option": [[10, "cmdoption-pyosmium-get-changes.py-D"], [10, "cmdoption-pyosmium-get-changes.py-I"], [10, "cmdoption-pyosmium-get-changes.py-O"], [10, "cmdoption-pyosmium-get-changes.py-cookie"], [10, "cmdoption-pyosmium-get-changes.py-d"], [10, "cmdoption-pyosmium-get-changes.py-f"], [10, "cmdoption-pyosmium-get-changes.py-format"], [10, "cmdoption-pyosmium-get-changes.py-h"], [10, "cmdoption-pyosmium-get-changes.py-ignore-osmosis-headers"], [10, "cmdoption-pyosmium-get-changes.py-o"], [10, "cmdoption-pyosmium-get-changes.py-s"], [10, "cmdoption-pyosmium-get-changes.py-server"], [10, "cmdoption-pyosmium-get-changes.py-socket-timeout"], [10, "cmdoption-pyosmium-get-changes.py-v"], [10, "cmdoption-pyosmium-get-changes.py-version"]], "--force-update-of-old-planet": [[11, "cmdoption-pyosmium-up-to-date.py-force-update-of-old-planet"]], "--tmpdir": [[11, "cmdoption-pyosmium-up-to-date.py-tmpdir"]], "--wind-back": [[11, "cmdoption-pyosmium-up-to-date.py-b"]], "-b": [[11, "cmdoption-pyosmium-up-to-date.py-b"]], "pyosmium-up-to-date.py command line option": [[11, "cmdoption-pyosmium-up-to-date.py-b"], [11, "cmdoption-pyosmium-up-to-date.py-cookie"], [11, "cmdoption-pyosmium-up-to-date.py-force-update-of-old-planet"], [11, "cmdoption-pyosmium-up-to-date.py-format"], [11, "cmdoption-pyosmium-up-to-date.py-h"], [11, "cmdoption-pyosmium-up-to-date.py-ignore-osmosis-headers"], [11, "cmdoption-pyosmium-up-to-date.py-o"], [11, "cmdoption-pyosmium-up-to-date.py-s"], [11, "cmdoption-pyosmium-up-to-date.py-server"], [11, "cmdoption-pyosmium-up-to-date.py-socket-timeout"], [11, "cmdoption-pyosmium-up-to-date.py-tmpdir"], [11, "cmdoption-pyosmium-up-to-date.py-v"], [11, "cmdoption-pyosmium-up-to-date.py-version"]]}})